# This is the main project name:
_MAIN_FILE_ = GingerBreadMan


# Set-up Environment # Could also assume it's already been set?

PATH = C:\Program Files\Microsoft Visual Studio.NET\Vc7\bin;$(PATH)
LIB = C:\Program Files\Microsoft Visual Studio.NET\Vc7\lib;C:\RadASM\Lib;C:\RadASM\Lib\DX8;$(LIB)
INCLUDE = C:\RadASM\Include\WinXP;C:\RadASM\Include;C:\RadASM\Include\DX8;$(INCLUDE)


# Project to build, top-level dependancies #
# No internal rule exists for LINK

LINK = LINK /SUBSYSTEM:WINDOWS /ENTRY:WinMain /OUT:$(_MAIN_FILE_).exe
LIBS = kernel32.lib user32.lib comctl32.lib d3d8.lib d3dx8d.lib
OBJS = $(_MAIN_FILE_).obj $(_MAIN_FILE_).res
# AFLAGS = /Fllist.txt /c /coff
AFLAGS = /c /coff
# RFLAGS = -VX

$(_MAIN_FILE_).exe : $(OBJS)
	$(LINK) $(OBJS) $(LIBS)


# Dependancies #

$(_MAIN_FILE_).obj : $(_MAIN_FILE_).asm $(_MAIN_FILE_).Inc

$(_MAIN_FILE_).res : Res\$(_MAIN_FILE_).ico Res\$(_MAIN_FILE_).manifest


all : $(_MAIN_FILE_).exe
	$(clean)

clean :
	del $(OBJS)

cleanall :
	del $(OBJS)
	del $(_MAIN_FILE_).exe
